Bug 655 - libperl.so wrong version in mod_perl-1.16-1libc5
libperl.so wrong version in mod_perl-1.16-1libc5
Status: CLOSED NOTABUG
Product: Red Hat Secure Web Server
Classification: Retired
Component: mod_perl (Show other bugs)
2.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-30 10:31 EST by cdent
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-19 12:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cdent 1998-12-30 10:31:37 EST
On a redhat-4.2 machine that needs to stay that way
for a while an installation of secureweb 2.0-2 with
support for modperl will fail because the libperl.so
included in the supplied mod_perl rpm is version 5.004.04
yet the installed perl with 4.2 and the perl available
on the secure web CD is 5.004.01. Modules that use
IO::File and the like will fail to load because libperl.so
will look in the wrong place. Here's some log info:

[Tue Dec 29 21:06:36 1998] [error] Can't locate IO/File.pm
in @INC (@INC contain
s: /usr/lib/perl5/i386-linux/5.00404 /usr/lib/perl5
/usr/lib/perl5/site_perl/i38
6-linux /usr/lib/perl5/site_perl . /etc/httpd/
/etc/httpd/lib/perl) at /usr/lib/
perl5/site_perl/Newspaper/Story/Create.pm line 14.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/Newspaper/Story/Cr
eate.pm line 14.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/Newspaper/Docedit.
pm line 30.
BEGIN failed--compilation aborted at
/usr/local/etc/httpd/projects/hoosiertimes/
bin/startup.pl line 39.

Require of Perl file
`/usr/local/etc/httpd/projects/hoosiertimes/bin/startup.pl'
 failed, exiting...

I'd call this a bug. My temporary fix has been to
rebuild mod_perl from the src rpm so it knows it is
to use 5.004.01. Things are happy for the time being.

But it seems like you should fix this one: please don't
leave people who are stuck back in the dark ages of
4.2 in the cold. We have around 20 machines and making
the migration to glibc is something that is going to
take a serious amount of time for us. Thanks
Comment 1 Preston Brown 1999-02-02 12:35:59 EST
perl 5.004_04 is distributed as an update to Red Hat Linux 4.2.  It
should be available on the ftp site..

The mod_perl 1.16 that was distributed was built against this perl.
Comment 2 cdent 1999-03-18 23:24:59 EST
I mean to respond to this a long time ago, but I guess I must
have forgotten. The version of perl that is in the 4.2 updates
on updates.redhat.com/4.2/i386 is  perl-5.004-0.1.i386.rpm
which contradicts what you indicate below.

I only mention this for the sake of precision, it's not a disaster
or anything like that.

Althoug I do continue to have memory leak problems with
mod_perl and secureweb. I'm going to attempt a perl upgrade
now to see if that helps.
Comment 3 cdent 1999-03-18 23:34:59 EST
Never mind. I figured it out. Why, oh please tell me why, an
rpm labeled: perl-5.004-0.1 is a newer version than perl-5.004_01-1
and why isn't it package in the same way as the previous one?
Comment 4 Preston Brown 1999-03-19 12:16:59 EST
I have no idea why it was labeled as such, I didn't make that update.
Perl does have a rather strange naming convention that doesn't always
fit into the RPM naming convention perfectly.  Glad things are figured
out.

Note You need to log in before you can comment on or make changes to this bug.